
Katello - Bug #4782

content view versions page takes a very long time to load

03/21/2014 08:01 PM - Justin Sherrill

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you have a content view with a lot of packages and errata, it will take a very very long time to load.    (1.2 minutes on my test)

Associated revisions

Revision e9ab8d6a - 03/25/2014 11:13 AM - Justin Sherrill 

Merge pull request #3871 from jlsherrill/cvv_load

fixes #4782 - speeding up CV Version content count methods

Revision 72287d52 - 03/25/2014 02:59 PM - Justin Sherrill

fixes #4782 - speeding up CV Version content count methods

Also adapting Package to use normal tire search and moving old

search method to legacy_search

Revision 6a8af04b - 03/25/2014 03:13 PM - Justin Sherrill

Merge pull request #3871 from jlsherrill/cvv_load

fixes #4782 - speeding up CV Version content count methods

Revision 8ba0380d - 03/25/2014 06:59 PM - Justin Sherrill

fixes #4782 - speeding up CV Version content count methods

Also adapting Package to use normal tire search and moving old

search method to legacy_search

History

#1 - 03/21/2014 08:03 PM - Justin Sherrill

- Status changed from New to Assigned

#2 - 03/21/2014 08:05 PM - Mike McCune

- Triaged changed from No to Yes

#3 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#5 - 03/25/2014 03:53 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100
Applied in changeset katello|commit:8ba0380ddc8147edd5a6f3a2fcd3840e37813eb7.

#6 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
